function [ids_struct_out] =  imasget_bpol_probe(shot, ids_structures)
% Get magnetics.bpol_probe

mdsopen(shot);
tmp = gdat( shot, '\MAGNETICS::BPOL_003');

% Get data
names = tmp.dim{2};
time = tmp.dim{1};
data = tmp.data;

% Preallocate output structure
Nprobes = size(tmp.data,2);
ids_struct_out(1:Nprobes) = ids_structures.magnetics.bpol_probe(1);


for ii=1:Nprobes
    ids_struct_out{ii} = ids_structures.magnetics.bpol_probe{1};
    ids_struct_out{ii}.name  = [names{ii}];  
    ids_struct_out{ii}.position.r  = mdsvalue('STATIC("R_M"  )[$1]',ids_struct_out{ii}.name);
    ids_struct_out{ii}.position.z  = mdsvalue('STATIC("Z_M"  )[$1]',ids_struct_out{ii}.name); 
    
    ids_struct_out{ii}.field.data  =  data(:,ii);
    ids_struct_out{ii}.field.time  =  time; 
    
    %ids_struct_out{ii}.position.toroidal_angle  =  mdsdata('STATIC("ANG_M"  )[$1]',ids_struct_out{ii}.position.name); 
    %ids_struct_out{ii}.position.poloidal_angle  =  0; % TO BE FOUND   
    %ids_struct_out{ii}.position.field.data_error_upper = % TO BE FOUND;   
    %ids_struct_out{ii}.position.field.data_error_upper = % TO BE FOUND;    
end

