function ids_struct_out = imasget_flux_loop(shot, ids_structures)
% Get ids field magnetics.fluxx_loop 

% Get data 
mdsopen(shot);
tmp = gdat(shot, 'tcv_idealloop("FLUX")');
names = tmp.dim{2};
time = tmp.dim{1};
data = tmp.data;

% Preallocate output structure
Nprobes = size(tmp.data,2);
ids_struct_out(1:Nprobes) = ids_structures.magnetics.flux_loop(1);

% Put data on ids structure
for ii=1:Nprobes
    ids_struct_out{ii}.name  = [names{ii}];
    ids_struct_out{ii}.position{1}.r  = mdsvalue('STATIC("R_F"  )[$1]',ids_struct_out{ii}.name);
    ids_struct_out{ii}.position{1}.z  = mdsvalue('STATIC("Z_F"  )[$1]',ids_struct_out{ii}.name);
    ids_struct_out{ii}.flux.data  =  data(:,ii);
    ids_struct_out{ii}.flux.time  =  time;
    
    %ids_struct_out{ii}.position.phi  =  0; % TO BE FOUND
    %ids_struct_out{ii}.flux.data_error_upper = % TO BE FOUND;
    %ids_struct_out{ii}.flux.data_error_lower = % TO BE FOUND;
end

