function [coil_names, power_supply_names, circuit_names, mds_paths, combined_structure] =  pf_active_definition()
% All circuits are connected in series and has only 1 power supply, so they
% share the same current. 


coil_names = {...
    {'A_001'}; ... % Circuit 1
    {'B_001', 'B_002',  'C_001',  'C_002',  'D_001',  'D_002'}; ... % Circuit 2
    {'E_001'}; ... % Circuit 3
    {'E_002'}; ... % Circuit 4
    {'E_003'}; ... % Circuit 5
    {'E_004'}; ... % Circuit 6
    {'E_005'}; ... % Circuit 7
    {'E_006'}; ... % Circuit 8
    {'E_007'}; ... % Circuit 9
    {'E_008'}; ... % Circuit 10
    {'F_001'}; ... % Circuit 11
    {'F_002'}; ... % Circuit 12
    {'F_003'}; ... % Circuit 13
    {'F_004'}; ... % Circuit 14
    {'F_005'}; ... % Circuit 15
    {'F_006'}; ... % Circuit 16
    {'F_007'}; ... % Circuit 17
    {'F_008'}; ... % Circuit 18
    {'G_001', 'G_002', 'G_003', 'G_004', 'G_005', 'G_006'}; ... % Circuit 19
    {'T_001', 'T_002', 'T_003'}; ...% Circuit 20
    };

power_supply_names = {...
'OH1';... % Circuit 1
'OH2';... % Circuit 2
'E1';...% Circuit 3
'E2';...% Circuit 4
'E3';... % Circuit 5
'E4';... % Circuit 6
'E5';... % Circuit 7
'E6';... % Circuit 8
'E7';... % Circuit 9
'E8';... % Circuit 10
'F1';... % Circuit 11
'F2';... % Circuit 12
'F3';... % Circuit 13
'F4';... % Circuit 14
'F5';... % Circuit 15
'F6';... % Circuit 16
'F7';... % Circuit 17
'F8';... % Circuit 18
'FPS';...% Circuit 19
'T';... % Circuit 20
};

circuit_names = power_supply_names;

% mds path to be called with gdat
mds_paths = {...
 '\magnetics::ipol[*,"OH_001"]';... % Circuit 1
 '\magnetics::ipol[*,"OH_002"]'; ... % Circuit 2
 '\magnetics::ipol[*,"E_001"]';... % Circuit 3
 '\magnetics::ipol[*,"E_002"]';...% Circuit 4
 '\magnetics::ipol[*,"E_003"]';...% Circuit 5
 '\magnetics::ipol[*,"E_004"]';...% Circuit 6
 '\magnetics::ipol[*,"E_005"]';...% Circuit 7
 '\magnetics::ipol[*,"E_006"]';...% Circuit 8
 '\magnetics::ipol[*,"E_007"]';...% Circuit 9
 '\magnetics::ipol[*,"E_008"]'; ...% Circuit 10
 '\magnetics::ipol[*,"F_001"]';...% Circuit 11
 '\magnetics::ipol[*,"F_002"]';...% Circuit 12
 '\magnetics::ipol[*,"F_003"]';...% Circuit 13
 '\magnetics::ipol[*,"F_004"]';...% Circuit 14
 '\magnetics::ipol[*,"F_005"]';...% Circuit 15
 '\magnetics::ipol[*,"F_006"]';...% Circuit 16
 '\magnetics::ipol[*,"F_007"]';...% Circuit 17
 '\magnetics::ipol[*,"F_008"]';... % Circuit 18
 'is_in("G_001",dim_of(\magnetics::ipol,1)) ? \magnetics::ipol[*,"G_001"] : make_signal(zero(shape(data(\magnetics::ipol))[0],1.0),*,dim_of(\magnetics::ipol,0))';... % G coils % Circuit 19
 '\magnetics::iphi';... % Connection between tf coils % Circuit 20
};


% conbined_structure(icircuit).
%                             .coil_names
%                             .power_supply_name
%                             .mds_path
combined_structure = struct();
for ii=1:numel(coil_names)
   combined_structure(ii).coil_names = coil_names{ii};
   combined_structure(ii).power_supply_name = power_supply_names{ii};
   combined_structure(ii).mds_path = mds_paths{ii};
end


